@import "helpers";

:host-context(.quiz) {
  margin-bottom: 20px;
}

.textarea {
  padding: 10px;
  border-radius: 20px;
  border: 1px solid $border-main;
  outline: none;

  &:active,
  &:focus {
    outline: none;
    border-color: $black-blue;
  }
}

.invalid {
  .textarea {
    border-color: $red;
  }
}

.create-quiz__control {
  position: relative;
  overflow: hidden;

  .label {
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: flex-end;
    position: absolute;
    border-bottom: 1px solid black;
    width: 52px;
    height: 32px;
    transform: rotate(-45deg);
    top: -8px;
    left: -18px;
    background: $header-bg;
    color: $white;
  }

  .textarea {
    padding: 10px 25px;
    border-radius: 0 20px 12px 20px;
  }
}

.label {
  margin-bottom: 6px;
}

.textarea {
  @include customScroll($header-bg, $casper, 4px);
}
